Index: /extensions/RemoveMbHeader/hr_os/index.php
===================================================================
--- /extensions/RemoveMbHeader/hr_os/index.php	(revision 3303)
+++ /extensions/RemoveMbHeader/hr_os/index.php	(revision 3303)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/RemoveMbHeader/hr_os/picture.css
===================================================================
--- /extensions/RemoveMbHeader/hr_os/picture.css	(revision 3303)
+++ /extensions/RemoveMbHeader/hr_os/picture.css	(revision 3303)
@@ -0,0 +1,7 @@
+#theHeader {
+	background: transparent url(headerpic.jpg) no-repeat center bottom;
+	height: 25px;
+	margin: 0 auto;
+}
+
+#theHeader h1 {display:none}
Index: /extensions/RemoveMbHeader/hr_os_xl/index.php
===================================================================
--- /extensions/RemoveMbHeader/hr_os_xl/index.php	(revision 3303)
+++ /extensions/RemoveMbHeader/hr_os_xl/index.php	(revision 3303)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/RemoveMbHeader/hr_os_xl/picture.css
===================================================================
--- /extensions/RemoveMbHeader/hr_os_xl/picture.css	(revision 3303)
+++ /extensions/RemoveMbHeader/hr_os_xl/picture.css	(revision 3303)
@@ -0,0 +1,7 @@
+#theHeader {
+	background: transparent url(headerpic.jpg) no-repeat center bottom;
+	height: 25px;
+	margin: 0 auto;
+}
+
+#theHeader h1 {display:none}
Index: /extensions/RemoveMbHeader/index.php
===================================================================
--- /extensions/RemoveMbHeader/index.php	(revision 3303)
+++ /extensions/RemoveMbHeader/index.php	(revision 3303)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/RemoveMbHeader/main.inc.php
===================================================================
--- /extensions/RemoveMbHeader/main.inc.php	(revision 3303)
+++ /extensions/RemoveMbHeader/main.inc.php	(revision 3303)
@@ -0,0 +1,26 @@
+<?php
+
+/*
+Plugin Name: Remove MB Header
+Version: 2.0.a
+Description: Replace banner from image page for fixed width themes.
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=154
+Author: P@t
+Author URI: http://www.gauchon.com
+*/
+
+define('RMBH_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+
+function remove_mb_header()
+{
+  global $page,$template,$user;
+
+  if ( isset($page['body_id']) and $page['body_id'] == 'thePicturePage' and file_exists(RMBH_PATH . $user['theme'] . '/picture.css'))
+  {
+    $template->block_html_head('', '<link rel="stylesheet" type="text/css" '. 'href="'. RMBH_PATH . $user['theme'] . '/picture.css">', $smarty, $repeat);
+  }
+}
+
+add_event_handler('loc_begin_page_header', 'remove_mb_header');
+
+?>
Index: /extensions/RemoveMbHeader/montblanc/index.php
===================================================================
--- /extensions/RemoveMbHeader/montblanc/index.php	(revision 3303)
+++ /extensions/RemoveMbHeader/montblanc/index.php	(revision 3303)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/RemoveMbHeader/montblanc/picture.css
===================================================================
--- /extensions/RemoveMbHeader/montblanc/picture.css	(revision 3303)
+++ /extensions/RemoveMbHeader/montblanc/picture.css	(revision 3303)
@@ -0,0 +1,7 @@
+#theHeader {
+	background: transparent url(headerpic.jpg) no-repeat center bottom;
+	height: 15px;
+	margin: 0 auto;
+}
+
+#theHeader h1 {display:none}
Index: /extensions/RemoveMbHeader/montblancxl/index.php
===================================================================
--- /extensions/RemoveMbHeader/montblancxl/index.php	(revision 3303)
+++ /extensions/RemoveMbHeader/montblancxl/index.php	(revision 3303)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/RemoveMbHeader/montblancxl/picture.css
===================================================================
--- /extensions/RemoveMbHeader/montblancxl/picture.css	(revision 3303)
+++ /extensions/RemoveMbHeader/montblancxl/picture.css	(revision 3303)
@@ -0,0 +1,7 @@
+#theHeader {
+	background: transparent url(headerpic.jpg) no-repeat center bottom;
+	height: 15px;
+	margin: 0 auto;
+}
+
+#theHeader h1 {display:none}