Index: /extensions/fun_citation/ReadMe.txt
===================================================================
--- /extensions/fun_citation/ReadMe.txt	(revision 3326)
+++ /extensions/fun_citation/ReadMe.txt	(revision 3326)
@@ -0,0 +1,19 @@
+In order to affect fun effect on pages, add on your config_local.inc.php file this param:
+
+    $conf['fun_citation_pages'] = array
+    (
+      'admin' => false,
+      'comments' => true,
+      'identification' => true,
+      'index' => true,
+      'password' => true,
+      'picture' => true,
+      'popuphelp' => true,
+      'profile' => true,
+      'register' => true,
+      'search' => true,
+      'tags' => true,
+    );
+
+This example is the default value.
+Page, witch are not in array, have false value by default.
Index: /extensions/fun_citation/index.php
===================================================================
--- /extensions/fun_citation/index.php	(revision 3326)
+++ /extensions/fun_citation/index.php	(revision 3326)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Citation - a Piwigo Plugin                                        |
+// | Copyright (C) 2008-2009 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/fun_citation/main.inc.php
===================================================================
--- /extensions/fun_citation/main.inc.php	(revision 3326)
+++ /extensions/fun_citation/main.inc.php	(revision 3326)
@@ -0,0 +1,72 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Fun Citation - a Piwigo Plugin                                        |
+// | Copyright (C) 2008-2009 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+/*
+Plugin Name: Fun Citation
+Version: 2.0.c
+Description: Ajoute une citation en français à ta page
+Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=256
+Author: Ruben ARNAUD
+Author URI: http://photograph.piwigo.net/
+*/
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+function citation_header($page_banner)
+{
+  global $conf;
+
+  $page_name = script_basename();
+  if (! isset($conf['fun_citation_pages']))
+  {
+    $conf['fun_citation_pages'] = array
+    (
+      'admin' => false,
+      'comments' => true,
+      'identification' => true,
+      'index' => true,
+      'password' => true,
+      'picture' => true,
+      'popuphelp' => true,
+      'profile' => true,
+      'register' => true,
+      'search' => true,
+      'tags' => true,
+    );
+  }
+
+  if (isset($conf['fun_citation_pages'][$page_name]) and $conf['fun_citation_pages'][$page_name])
+  {
+    $code_citation = '<script type="text/javascript" src="http://citations.hasarddujour.com/citation-hasard-du-jour.php?random"></script>';
+    return $page_banner.$code_citation;
+  }
+  else
+  {
+    return $page_banner;
+  }
+}
+
+add_event_handler('render_page_banner', 'citation_header');
+
+
+?>