Index: /extensions/pLoader/trunk/locale/en_GB/gs.html
===================================================================
--- /extensions/pLoader/trunk/locale/en_GB/gs.html	(revision 3357)
+++ /extensions/pLoader/trunk/locale/en_GB/gs.html	(revision 3357)
@@ -0,0 +1,20 @@
+<html>
+<body text="#E15918" link="#E15918">
+    <font size=5 face="verdana, arial">
+    <img src="../res/piwigo_logo.png" />
+    <br />
+    <br />
+    Click links below to start using pLoader.
+    <br />
+    <br />
+    <br />
+    1. <a href="new_album">Add a new album.</a>
+    <br />
+    <br />
+    2. <a href="add_photos">Add photos to the selection.</a>
+    <br />
+    <br />
+    3. <a href="upload_photos">Upload the photo selection into your album.</a>
+    </font>
+</body>
+</html>
Index: tensions/pLoader/trunk/res/intro.html
===================================================================
--- /extensions/pLoader/trunk/res/intro.html	(revision 3356)
+++ 	(revision )
@@ -1,6 +1,0 @@
-<body style="background-color:#111111">
-  <div style="margin:5em auto; color:#777777; font-size:2em; text-align:center;">
-    <img src="piwigo_logo.png" style="margin-bottom:1em"/><br />
-    Drop your photos
-  </div>
-</body>
Index: /extensions/pLoader/trunk/src/Uploader/GUI/wxApp.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/wxApp.pm	(revision 3356)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/wxApp.pm	(revision 3357)
@@ -325,5 +325,5 @@
     
     $self->version(
-        '2.0.2a'
+        '2.0.2c'
     );
     
@@ -443,5 +443,5 @@
         Wx::LogMessage gettext("Cannot find translation catalog files. Use default language");
     }
-	
+    $self->locale($locale);	
 }
 
@@ -551,5 +551,5 @@
         userdata_dir     => $self->userdata_dir,
         default_photo_name => gettext('File name'),
-        default_name_prefix => gettext('Photo'),
+        default_name_prefix => gettext('Photo '),
         upload_rejects   =>  [],
         image_sums       => {},
Index: /extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 3356)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 3357)
@@ -24,4 +24,5 @@
 use Wx::DND;
 use Wx qw/
+             wxAUI_DOCKART_PANE_BORDER_SIZE
              wxNullBitmap
              wxID_OK
@@ -356,4 +357,5 @@
       
 use Uploader::GUI::wxImageListCtrl;
+use Uploader::GUI::wxImagePreview;
 use Uploader::GUI::wxImageProcessingProgressDlg;
 use Wx::Html;
@@ -445,5 +447,4 @@
 
     $self->manager( Wx::AuiManager->new );
-    $self->manager->SetDockSizeConstraint(1, 1);
     $self->manager->SetManagedWindow( $self );
     $self->_set_setting_properties;
@@ -733,8 +734,23 @@
     $self->init_panels;
 
-    $self->imageviewer->Show(0);
+    #if(!$self->imagelist->wx_thumb_imglist->GetImageCount){
+    #    $self->imageviewer->Show(0);
+    #}
+
+    #    my $imglistpage = [
+    #        [
+    #            $self->imageviewer, 
+    #            gettext("Photo selection"),
+    #            '../res/images.png', 
+    #            wxBITMAP_TYPE_PNG,
+    #        ],
+    #    ];
+    
+
 
     $self->init_aui;
     $self->init_dnd_targets;
+    #$self->_populate_notebook($self->notebook, $imglistpage, 1);
+
     if( $self->imagelist->wx_thumb_imglist->GetImageCount){
         printf("%s images\n", $self->imagelist->wx_thumb_imglist->GetImageCount); 
@@ -850,4 +866,5 @@
     $self->general_settings_panel->Show(0);
 
+if(0){
     $self->image_preview(
         Wx::StaticBitmap->new(
@@ -859,4 +876,15 @@
         )
     );
+}
+    $self->image_preview(
+        Uploader::GUI::wxImagePreview->new(
+            $self,
+            -1,
+            wxNullBitmap,
+            wxDefaultPosition,
+            [$self->preview_w, $self->preview_h]
+        )
+    );
+
 
     $self->image_prop_piwigo->Show(0);
@@ -869,8 +897,23 @@
     my ( $self ) = @_;	
 
+    my $file = sprintf(
+        "../locale/%s/gs.html",
+        wxTheApp->locale->GetCanonicalName
+    );
+
     $self->htmlhome(
         Uploader::GUI::wxHtmlWindow->new(
-            $self, -1
+            $self, -1, [-1, -1], [450, 450]
         )
+    );
+    
+    $self->htmlhome->LoadPage($file) if -e $file ;
+    
+    $self->htmlhome->InitHrefCallbacks(
+        {
+            new_album => sub {$self->OnAddCategories(@_) },
+            add_photos => sub { $self->OnAddImages(@_) },
+            upload_photos => sub { $self->ProcessImageSelection(@_)},	
+        }
     );
     
@@ -895,9 +938,9 @@
         ) 
     );
-    $self->htmlhome->SetDropTarget( 
-        DNDImageListDropTarget->new( 
-            $self->imageviewer 
-        ) 
-    );
+    #$self->htmlhome->SetDropTarget( 
+    #    DNDImageListDropTarget->new( 
+    #        $self->imageviewer 
+    #    ) 
+    #);
 
 
@@ -919,5 +962,5 @@
     $self->manager->AddPane
       ( $self->create_notebook_imagelist, Wx::AuiPaneInfo->new->Name( "ImageViewer" )
-        ->CenterPane->Resizable->CloseButton(0) );
+        ->CenterPane->Position(1)->Resizable->CloseButton(0) );
 
     $self->manager->AddPane
@@ -925,7 +968,4 @@
         ->Right->Position( 0 )->Resizable->CloseButton(0) );
 
-    $self->manager->AddPane
-      ( $self->image_preview, Wx::AuiPaneInfo->new->Name( "preview" )
-        ->Right->Position( 1 )->Resizable->CloseButton(0)->Floatable(0) );
 
 
@@ -941,5 +981,5 @@
 
     if( $self->perspective){
-        $self->manager->LoadPerspective($self->perspective);
+        $self->manager->LoadPerspective($self->perspective) if $self->perspective =~ /getting_started/;
     }
 
@@ -952,4 +992,5 @@
     $self->manager->GetPane("photo_properties")->Caption(gettext("Photo properties"));
     $self->manager->GetPane("global_settings")->Caption(gettext("Global settings"));
+    $self->manager->GetPane("getting_started")->Caption(gettext("Getting started"));
 
     
@@ -960,4 +1001,14 @@
 sub _init_aui_settings_panels {
     my ( $self ) = @_;	
+
+    $self->manager->AddPane
+      ( $self->image_preview, Wx::AuiPaneInfo->new->Name( "preview" )
+        ->Floatable(1)->Resizable->CloseButton(1));
+
+
+    $self->manager->AddPane
+      ( $self->htmlhome, Wx::AuiPaneInfo->new->Name( "getting_started" )
+       ->Floatable(1)->Resizable->CloseButton(1) );
+
 
     $self->manager->AddPane
@@ -969,6 +1020,9 @@
         ->Floatable(1)->Resizable->CloseButton(1) );
 
+    $self->manager->GetPane("preview")->Show(0);
     $self->manager->GetPane("photo_properties")->Show(0);
     $self->manager->GetPane("global_settings")->Show(0);
+    $self->manager->GetPane("getting_started")->Float;
+    $self->manager->GetPane("getting_started")->Show(1);
 	
 }
@@ -977,5 +1031,5 @@
     my ( $self ) = @_;
 
-    $self->manager->GetPane("photo_properties")->Float;
+    $self->manager->GetPane("preview")->Float->Show(1);
     $self->manager->GetPane("photo_properties")->Show(1);
     $self->manager->Update();    
@@ -983,10 +1037,18 @@
 }
 
+sub OnGettingStarted {
+    my ( $self ) = @_;
+
+    $self->toolbar->EnableTool(100, 0 );
+    $self->manager->GetPane("getting_started")->Float->Show(1);
+    $self->manager->Update();    
+	
+}
+
 sub OnGlobalSettings {
     my ( $self ) = @_;
 
     $self->toolbar->EnableTool(104, 0 );
-    $self->manager->GetPane("global_settings")->Float;
-    $self->manager->GetPane("global_settings")->Show(1);
+    $self->manager->GetPane("global_settings")->Float->Show(1);
     $self->manager->Update();    
 }
@@ -1028,24 +1090,16 @@
     my $book = Wx::AuiNotebook->new( $self, -1, [-1, -1], [300, 450],
                                      wxBORDER_NONE|wxAUI_NB_TAB_MOVE|wxAUI_NB_TAB_SPLIT);
-    my $pages = [    
-        [
-            $self->htmlhome, 
-            gettext("Photo selection"),
-            '../res/images.png', 
-            wxBITMAP_TYPE_PNG,
-        ],
-        #[
-        #    $self->logwnd( $self->_create_textctrl( $book, undef, [450, 450] )),
-        #    "Log",
-        #    '../res/nb_log.png', 
-        #    wxBITMAP_TYPE_PNG,
-        #]
-    ];
-    
-    $self->_populate_notebook( $book, $pages );
-
-    #$self->logwnd(Wx::LogTextCtrl->new( $self->logwnd ));
-    #$self->oldlogwnd( Wx::Log::SetActiveTarget( $self->logwnd ) );
+
+        my $imglistpage = [
+            [
+                $self->imageviewer, 
+                gettext("Photo selection"),
+                '../res/images.png', 
+                wxBITMAP_TYPE_PNG,
+            ],
+        ];
+
     $self->notebook($book);
+    $self->_populate_notebook($self->notebook, $imglistpage, 0);
     return $book;
 }
@@ -1240,4 +1294,5 @@
     my ( $self ) = @_ ;
 	
+    Wx::Event::EVT_MENU( $self, 100, \&OnGettingStarted );
     Wx::Event::EVT_MENU( $self, 101, \&OnAddImages );
     Wx::Event::EVT_MENU( $self, 102, \&OnRemoveImages );
@@ -1276,5 +1331,5 @@
     }
     $dialog->Destroy;
-    $event->Skip;
+#    $event->Skip;
   }
 }
@@ -1289,4 +1344,10 @@
         else{
             $self->toolbar->EnableTool(104, 1);         	
+        }
+        if($self->manager->GetPane("getting_started")->IsShown){
+            $self->toolbar->EnableTool(100, 0);         	
+        }
+        else{
+            $self->toolbar->EnableTool(100, 1);         	
         }
     }
@@ -1463,13 +1524,19 @@
         wxNullBitmap
     );
+
     $self->image_preview->Refresh;
 
-    
-    $self->image_preview->SetBitmap(
-        Wx::Bitmap->new( 
+    my $bmp =         Wx::Bitmap->new( 
             $self->imagelist->current_image->preview_file, 
             $self->GetWxBitmapType($self->imagelist->type), 
-        )
-    );
+        );
+
+        
+    $self->image_preview->SetBitmap(
+        $bmp
+    );
+
+    my $size = [8+$bmp->GetWidth, 26+$bmp->GetHeight];
+    $self->manager->GetPane("preview")->FloatingSize($size);
     
     $self->image_preview->Refresh;
@@ -1567,16 +1634,16 @@
 
     if(!$self->imageviewer->IsShown){
-        my $imglistpage = [
-            [
-                $self->imageviewer, 
-                gettext("Photo selection"),
-                '../res/images.png', 
-                wxBITMAP_TYPE_PNG,
-            ],
-        ];
-        $self->notebook->DeletePage(0);
+        #my $imglistpage = [
+        #    [
+        #        $self->imageviewer, 
+        #        gettext("Photo selection"),
+        #        '../res/images.png', 
+        #        wxBITMAP_TYPE_PNG,
+        #    ],
+        #];
+        #$self->notebook->DeletePage(0);
     
         $self->imageviewer->Show(1);
-        $self->_populate_notebook($self->notebook, $imglistpage, 0);
+        #$self->_populate_notebook($self->notebook, $imglistpage, 0);
         # load imagelist with loading.jpg
     }
@@ -1585,4 +1652,8 @@
 
 
+sub ActivateImageViewer {
+    my ( $self ) = @_;	
+	
+}
 
 
@@ -1616,4 +1687,5 @@
 
     if( scalar @{$self->imagelist->categories} ){
+   	
         return if( !defined $self->imagelist->image_selection );
         return if( !scalar @{$self->imagelist->image_selection} );
@@ -1737,4 +1809,13 @@
     }
     (
+        [
+            100, 
+            gettext("Getting started"), 
+            '../res/tb_getting_started.png', 
+            wxBITMAP_TYPE_PNG, 
+            1, 
+            '../res/tb_getting_started.png', 
+            gettext("Display getting started panel")
+        ],
         [
             101, 
Index: /extensions/pLoader/trunk/src/Uploader/GUI/wxHtmlWindow.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/wxHtmlWindow.pm	(revision 3356)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/wxHtmlWindow.pm	(revision 3357)
@@ -28,11 +28,12 @@
   my $this = $class->SUPER::new( @_ );
 
-  if( -e '../res/intro.html' ){
-      $this->LoadPage( 
-          '../res/intro.html' 
-      );
-  }
+  return $this;
+}
 
-  return $this;
+sub InitHrefCallbacks {
+    my ( $self, $callbacks ) = @_;
+    
+    $callbacks ||={};
+    $self->{HrefCallbacks} = $callbacks ;	
 }
 
@@ -40,6 +41,8 @@
   my( $this, $link ) = @_;
 
-  Wx::LogMessage( 'Link clicked: href="%s"', $link->GetHref() );
-  $this->SUPER::OnLinkClicked( $link );
+  my $href = $link->GetHref();
+
+  $this->{HrefCallbacks}->{$href}->() if exists $this->{HrefCallbacks}->{$href};
+
 }
 