Index: /branches/2.0/language/hr_HR/help/cat_modify.html
===================================================================
--- /branches/2.0/language/hr_HR/help/cat_modify.html	(revision 3391)
+++ /branches/2.0/language/hr_HR/help/cat_modify.html	(revision 3392)
@@ -1,141 +1,121 @@
-<h2>Edit a category</h2>
+<h2>Uredi skupinu</h2>
 
-<h3>Informations</h3>
+<h3>Obavijesti</h3>
 
 <ul>
 
-  <li><strong>name</strong>: rename the category (a virtual rename in case 
-  of physical category).</li>
+  <li><strong>naziv</strong>: preimenuj skupinu (nestvarno preimenovanje u slučaju stvarne skupine).</li>
 
-  <li><strong>description</strong>: give a general idea of the content,
-  this text will be display under the thumbnail page.</li>
+  <li><strong>opis</strong>: prikažite uopćeni opis sadržaja, ovaj tekst će se prikazati ispod stranice poveznih sličica.</li>
 
 </ul>
 
-<h3>Move</h3>
+<h3>Premjesti</h3>
 
-<p>If the category is virtual, you can move it. Moving a category means
-changing its parent category.</p>
+<p>Ako je skupina nestvarna, možete je premjestiti. Premještanje skupine znači promjenu njene nadređene skupine.</p>
 
-<h3>Options</h3>
+<h3>Mogućnosti</h3>
 
 <ul>
 
-  <li><strong>Access type</strong>: Permission management. If you make a
-  category private, all its child categories becomes private. If you make a
-  category public, all its parent categories becomes public.</li>
+  <li><strong>Vrsta pristupa</strong>: Upravljanje dozvolama. Ako postavite skupinu kao osobnu, sve njoj podređene skupine postaju osobne. Ako postavite
+  skupinu kao javnu, sve njoj nadređene skupine postaju javne.</li>
 
-  <li><strong>Lock</strong>: The category and its sub-categories will
-  temporary been disabled for maintenance.</li>
+  <li><strong>Zaključavanje</strong>: Skupina i njene podskupine postaju nedostupne zbog poslova održavanja.</li>
 
-  <li><strong>Comments</strong>: Authorize users to comment elements of this
-  category.</li>
+  <li><strong>Komentari</strong>: Dozvoli korisnicima da mogu komentirati stavke ove skupine.</li>
 
-  <li><strong>Authorize upload</strong>: Authorize users to upload
-  files. This option is available only if category is physical (not
-  virtual).</li>
+  <li><strong>Dozvoli prebacivanje</strong>: Dozvoli korisnicima da mogu prebacivati zapise na poslužitelj. Ova mogućnost je dostupna samo za stvarne skupine (ne i za nestvarne skupine).</li>
 
 </ul>
 
-<p>You can also manage these options with "Properties"
-management screen (screens <span class="pwgScreen">Upload</span>, <span
-class="pwgScreen">Comments</span>, <span class="pwgScreen">Lock</span>,
-<span class="pwgScreen">Public/Private</span>, <span
-class="pwgScreen">Representative</span> available from <span
-class="pwgScreen">Administration, Categories, Properties</span>).</p>
+<p>Ovim mogućnostima možete upravljati i preko "Svojstva" upravnog prozora
+ (prozori <span class="pwgScreen">Prebaci</span>, <span
+class="pwgScreen">Komentari</span>, <span class="pwgScreen">Zaključaj</span>,
+<span class="pwgScreen">Javno/Osobno</span>, <span
+class="pwgScreen">Predstavnik</span> dostupnih preko <span
+class="pwgScreen">Uprava, Skupine, Svojstva</span>).</p>
 
-<h3>Sort order</h3>
+<h3>Redoslijed slaganja</h3>
 
-<p>Choose if the default sort order will be used.</p>
+<p>Odaberite ako će se koristiti pretpostavljeni redoslijed slaganja.</p>
 
-<p>Indicate if this sort order will be applied to subcategories.</p>
+<p>Označite ako će se taj redoslijed primjeniti i na podskupine.</p>
 
-<p>Select specific sort by columns to use with this category.</p>
+<p>Odaberite posebno slaganje po stupcima za korištenje kod ove skupine.</p>
 <ul>
-<li><strong>Creation date</strong>: Picture creation date</li>
-<li><strong>Post date</strong>: Synchronization date</li>
-<li><strong>Average rate (*)</strong>: Average rate could be changed by the visitor</li>
-<li><strong>Most visited (*)</strong>: The current visit change the most visited order</li>
-<li><strong>File name</strong>: Given name in informations field</li>
-<li><strong>Id</strong>: Internal Id (recent categories have an higher id than previous ones.</li>
+<li><strong>Nadnevak izrade</strong>: Nadnevak stvaranja slike</li>
+<li><strong>Nadnevak postavljanja</strong>: Nadnevak usklađivanja</li>
+<li><strong>Prosječna ocjena (*)</strong>: Prosječna ocjena se može mijenjati od strane posjetitelja</li>
+<li><strong>Najposjećenije (*)</strong>: Trenutna posjeta mijenja redoslijed najposjećenijih</li>
+<li><strong>Naziv zapisa</strong>: Dano ime u obavijesnim poljima</li>
+<li><strong>Id</strong>: Unutarnja Id oznaka (novije skupine imaju veći id nego starije.</li>
 
 </ul>
-<p><strong>(*)</strong>Take care and test it for your self since it can give unpredictable results.</p>
+<p><strong>(*)</strong>Budite oprezni i prethodno isprobajte jer možete dobiti neočekivane ishode.</p>
 
 
-<h3>Representant</h3>
+<h3>Predstavnik</h3>
 
-<p>The representant of the category is the thumbnail displayed to represent
-the category on main page (<span class="pwgScreen">category.php</span>) when
-a category contains only sub-categories (just as the root category).</p>
+<p>Predstavnik skupine je povezna sličica postavljena da predstavlja
+skupinu na glavnoj stranici (<span class="pwgScreen">category.php</span>) kada skupina
+sadrži samo podskupine (kao korijenska skupina).</p>
 
-<p>There are 4 ways to set the representative picture of a category :</p>
+<p>Postoje 4 načina za postavljanje slike predstavnika skupine :</p>
 
 <ul>
 
-  <li><span class="pwgScreen">Picture page</span>: in the action buttons bar,
-  one of them let you set the displayed picture as representative for the
-  displayed category. This button is available only for administrators.</li>
+  <li><span class="pwgScreen">Stranica Slika</span>: dugmad na traci postupaka,
+  jedan od njih omogućava postavljanje prikazane slike kao predstavnika skupine. ovo dugme je dostupno samo upravnicima.</li>
 
-  <li><span class="pwgScreen">Modify informations about a picture</span> in
-  administration. This screen can be reach from <span
-  class="pwgScreen">picture.php</span> or <span class="pwgScreen">Batch
-  management</span> in <em>unit mode</em>. See the help of this screen for
-  details.</li>
+  <li><span class="pwgScreen">Izmjena podataka o slici</span> u upravnom dijelu. Ovaj prozor dostupan preko <span
+  class="pwgScreen">picture.php</span> ili <span class="pwgScreen">Slijedna obrada </span> u <em>pojedinačnom načinu</em>. Pogledajte sustav pomoći u ovom prozoru za pojedinosti.</li>
 
-  <li><span class="pwgScreen">Administration, Categories, Properties,
-  Representative</span>. See the help of this screen for details.</li>
+  <li><span class="pwgScreen">Uprava, Skupine, Svojstva, Predstavnik</span>. Pogledajte sustav pomoći u ovom prozoru za pojedinosti.</li>
 
-  <li><span class="pwgScreen">Edit a category</span> (this screen).</li>
+  <li><span class="pwgScreen">Uredi skupinu</span> (ovaj prozor).</li>
 
 </ul>
 
-<p>The representation depends on configuration parameter
-<code>allow_random_representative</code> (see <span
+<p>Predstavljanje ovisi o postavkama stavke <code>allow_random_representative</code> (vidi <span
 class="filename">include/config_default.inc.php</span>).</p>
 
-<p>In default mode (<code>allow_random_representative</code> set to false)
-each category containing at least one element is represented by a fixed
-element. Once set (at category creation), the representative changes only
-when an administrator ask for it. If the representant is not appropriate,
-you can ask to <strong>Find a new representant by random</strong>.</p>
+<p>U pretpostavljenom načinu (<code>allow_random_representative</code> postavljen na false)
+svaka skupina koja sadrži najmanje jednu stavku je predstavljena određenim predstavnikom. Jednom postavljen (pri stvaranju skupine), predstavnik se mijenja jedino 
+kada upravnik to zatraži. Ako predstavnik nije odgovarajući možete zatražiti <strong>Odabir novog predstavnika slučajnim pristupom</strong>.</p>
 
-<p>If configuration parameter <code>allow_random_representative</code> is
-set to true, a category containing elements can have no fixed
-representant. Just use <strong>Delete representant</strong> button.</p>
+<p>Ako je postavka <code>allow_random_representative</code> postavljena na true, skupina koja ima sadržaj ne može imati prepostavljenog prestavnika. 
+Jednostavno upotrijebite <strong>Izbriši predstavnika</strong> dugme.</p>
 
-<p>If the category contains no element (but only sub-categories) it can be
-represented by any element thanks to screen <span class="pwgScreen">Modify
-informations about a picture</span>. The only option on the current screen
-is to <strong>Delete representant</strong> button, after using this button,
-no representant option to set anymore.</p>
+<p>Ako skupina nema stavki (nego samo podskupine) može biti predstavljena bilo kojom 
+stavkom podskupina zahvaljujući prozoru  <span class="pwgScreen">Promijeni podatke o slici</span>. Jedina mogućnost na trenutnom prozou je 
+ <strong>Izbriši predstavnika</strong> dugme, a nakon birisanja, odabir predstavnika nije više dostupan.</p>
 
-<h3>Link all category elements to a new category</h3>
+<h3>Poveži sve stavke skupine u novu skupinu</h3>
 
 <ul>
 
-<li><strong>Virtual category name</strong>: New category name to be created, 
-all pictures of the current category will be linked to the new one.</li>
+<li><strong>Naziv nestvarne skupine</strong>: Novi naziv skupine će se odrediti, 
+sve slike trenutne skupine će se povezati sa novonastalom.</li>
 
-<li><strong>Parent category</strong>: Where the new category will be, 
-leave empty to create it from home.</li>
+<li><strong>Nadređena skupina</strong>: Gdje će se nova skupina nalaziti, ostavi prazno za postavu iz polazišta.</li>
 
 </ul>
 
-<h3>Link all category elements to some existing categories</h3>
+<h3>Poveži sve stavke skupine sa nekim postojećim skupinama</h3>
 
 <ul>
 
-<li><strong>Categories</strong>: Choose the destination category.</li>
+<li><strong>Skupine</strong>: Odaberite odredišnu skupinu.</li>
 
 </ul>
 
-<h3>Send an information email to group members</h3>
+<h3>Pošalji e-mail obavijest članovima grupe</h3>
 
 <ul>
 
-<li><strong>Group</strong>: addressees group</li>
+<li><strong>Grupa</strong>: adrese grupe</li>
 
-<li><strong>Mail content</strong>: Free text to be sent to them.</li>
+<li><strong>Sadržaj e-mail poruke</strong>: sadržaj po volji koji će se poslati.</li>
 
 </ul>  
Index: /branches/2.0/language/hr_HR/help/configuration.html
===================================================================
--- /branches/2.0/language/hr_HR/help/configuration.html	(revision 3391)
+++ /branches/2.0/language/hr_HR/help/configuration.html	(revision 3392)
@@ -1,135 +1,110 @@
-<h2>Configuration</h2>
+<h2>Podešavanje</h2>
 
-<p>This screen let the administrator do basic configuration. Indeed, this
-screen only shows simple configuration parameters that should be enough for
-the vast majority of administrators. If you want to see other numerous (and
-advanced) configuration parameters, read file <span
-class="filename">include/config_default.inc.php</span>.</p>
+<p>Ovaj prozor omogućava upravniku obavljanje osnovnih podešavanja. Zaista, ovaj
+prozor prikazuje samo najosnovnije postavke podešavanja koje bi trebale biti dovoljne za
+veliku većinu upravnika. Ako želite proučiti ostale brojne (i napredne) 
+postavke podešavanja, pregledajte zapis <span class="filename">include/config_default.inc.php</span>.</p>
 
-<p>This screen is divided in several sections, regrouping configuration
-parameters by theme.</p>
+<p>Ovaj prozor je podijeljen u nekoliko odjeljaka, tematski preslaguje postavke podešavanja.</p>
 
 
-<h3>Main</h3>
+<h3>Glavo</h3>
 <ul>
-  <li><strong>Gallery title</strong>: used in RSS feed and notifications by
-email.</li>
+  <li><strong>Naslov galerije</strong>: koristi se za RSS izvore i e-mail obavijesti.</li>
 
-  <li><strong>Page banner</strong>: displayed on top of each public
-page.</li>
+  <li><strong>Baner stranice</strong>: prikazan na svakoj javnoj stranici.</li>
 
-  <li><strong>Gallery URL</strong>: used for the RSS feed.</li>
+  <li><strong>URL galerije</strong>: koristi se za RSS izvore.</li>
 
-  <li><strong>Lock gallery</strong>: Lock the entire gallery for
-  maintenance. Only administrator users will be able to reach the
-  gallery.</li>
+  <li><strong>Zaključavanje galerije</strong>: Zaključavanje cjelokupne galerije zbog poslova održavanja. Jedino upravni korisnici mogu pristupiti galeriji.</li>
 
-  <li><strong>Rating</strong>: Picture rating feature is enabled.</li>
+  <li><strong>Ocjene</strong>: POcjenjivanje slika je omogućeno.</li>
 
-  <li><strong>Rating by guests</strong>: Even non registered users can rate images.</li>
+  <li><strong>Ocjenjivanje od gostiju</strong>: Čak i nepoznati posjetitelji mogu ocjenjivati slike.</li>
 
-  <li><strong>Allow user registration</strong>: Registration is free for all.</li>
+  <li><strong>Dozvoli upis korisnika</strong>: Upis je odobren za sve.</li>
 
-  <li><strong>Mail address is obligatory for all users</strong>: Mail address will checked on registration or profile update except if the action is done on administration part.</li>
+  <li><strong>E-mail adresa je obvezna za sve korisnike</strong>: E-mail adresa će se provjeravati pri upisu ili izmjeni profila osim ako se postupak vrši preko upravnog dijela.</li>
 
-  <li><strong>Email admins when a new user registers</strong>: Administrators will be received mail for each registration.</li>
+  <li><strong>E-mail poruka upravniku pri upisu novog korisnika</strong>: Upravnik će dobiti obavijesnu e-mail poruku pri svakom novom upisu.</li>
 
 </ul>
 
-<h3>History</h3>
+<h3>Povijest</h3>
 
-  <p>Visits on pages <span
-  class="pwgScreen">category.php</span> and <span
-  class="pwgScreen">picture.php</span> will be saved in the
-  <code>history</code> table.</p>
+  <p>Posjete stranicama <span
+  class="pwgScreen">category.php</span> i <span
+  class="pwgScreen">picture.php</span> će biti pohranjene u
+  <code>povijest</code> tabeli.</p>
   
-  <p>Visits will be shown in <span
-  class="pwgScreen">Administration, Specials, History</span>.</p>
+  <p>Posjete će biti vidljive u <span
+  class="pwgScreen">Uprava, Posebnosti, Povijest</span>.</p>
 
 <ul>
-  <li><strong>Save page visits by guests</strong>: page visits by guests will be saved.</li>
+  <li><strong>Pohrani posjete stranicama po gostima</strong>: posjete stranicama se vode po gostima.</li>
 
-  <li><strong>Save page visits by users</strong>: visits by registrered users will be saved.</li>
+  <li><strong>Pohrani posjete stranicama po korisnicima</strong>: posjete stranicama se vode po korisnicima.</li>
 
-  <li><strong>Save page visits by administrators</strong>: page visits by administrators will be saved.</li>
+  <li><strong>Pohrani posjete stranicama po upravnicima</strong>: posjete stranicama se vode po upravnicima.</li>
 
 </ul>
 
-<h3>Comments</h3>
+<h3>Komentari</h3>
 <ul>
 
-  <li><strong>Comments for all</strong>: Even guest not registered can post
-  comments.</li>
+  <li><strong>Komentari za sve</strong>: Čak i obični posjetitelji mogu pisati komentare.</li>
 
-  <li><strong>Number of comments per page</strong>.</li>
+  <li><strong>Broj komentara po stranici</strong>.</li>
 
-  <li><strong>Validation</strong>: an administrator validate users posted
-  comments before they become visible on the site. User comments validation
-  takes place in screen <span class="pwgScreen">Administration, Pictures,
-  Comments</span>.</li>
+  <li><strong>Ovjera</strong>: upravnik ovjerava komentare posjetitelja prije javne objave. Ovjera korisničkih kometara 
+  se vrši u <span class="pwgScreen">Uprava, Slike, Komentari</span>.</li>
 
-  <li><strong>Email admins when a valid comment is entered</strong>:
-Sends an email to the administrators when a user enters a comment and this comment is validated.</li>
+  <li><strong>Pošalji e-mail obavijest po upisu kometara</strong>:
+Šalje e-mail obavijesnu poruku upravnicima kada korisnici upišu komentare koji su već ovjereni.</li>
 
-  <li><strong>Email admins when a comment requires validation</strong>:
-Sends an email to the administrators when a user enters a comment that requires validation by the admin.
-User comments validation takes place in the screen <span class="pwgScreen">Administration, Pictures, Comments</span>.</li>
+  <li><strong>Pošalji e-mail obavijest kada komentar treba ovjeru</strong>:
+Šalje e-mail obavijesnu poruku upravnicima kada korisnici upišu komentare koji trebaju biti ovjereni.
+Ovjeri korisničkih komentara se pristupa preko <span class="pwgScreen">Uprava, Slike, Komentari</span>.</li>
 
 </ul>
 
-<!--TODO --><h3>Upload</h3>
+<!--TODO --><h3>Prebacivanje</h3>
 <ul>
-<!--TODO -->  <li><strong>Show upload link every time</strong>: If exists uploadeable categories, add link will be show for each categoy.</li>
-<!--TODO -->  <li><strong>User access level to upload</strong>: Allows to restrict upload by users</li>
-  <li><strong>Email adminis when a picture is uploaded</strong>: Administrators will be received mail for each picture uploaded by a user.</li>
+<!--TODO -->  <li><strong>Prikaži poveznicu prebacivanja svaki put</strong>: Ako postoje skupine za prebacivanje, poveznica DODAJ će biti prikazana za svaku skupinu.</li>
+<!--TODO -->  <li><strong>Korisnička razina pristupa za prebacivanje</strong>: Omogućava ograničavanje prebacivanja od korisnika</li>
+  <li><strong>E-mail poruka upraviteljima po prebacivanju zapisa</strong>: Upravitelji će dobiti e-mail poruku za svaku prebačenu korisničku sliku.</li>
 </ul>
 
-<h3>Default display</h3>
+<h3>Pretpostavljeni prikaz</h3>
 
-<p>Here you can change display options used by default, when guest is not
-connected. Once connected, these options are overloaded by user own options
-(modifiable in <span class="pwgScreen">profile</span>).</p>
+<p>Ovdje možete mijenjati postavke prikaza korištene kao zadane, kada gost nije prijavljen. Jednom kada se prijavi, ove mogućnosti će biti promijenjene korisnički izabranima (izmjenjivo u <span class="pwgScreen">profili</span>).</p>
 
-<p>It is possible to change display options for all existing users, but the
-screen to consider is <span class="pwgScreen">Administration,
-Identification, Users</span>, where you can options for a selected list of
-users.</p>
+<p>Moguće je promijeniti mogućnosti prikaza za sve korisnike, ali preko prozora is <span class="pwgScreen">Uprava, Prijavnica, Korisnici</span>, gdje prikaz možete odrediti za odabrani popis korisnika.</p>
 
 <ul>
 
-  <li><strong>Language</strong>: concerns only Piwigo
-  labels. Category names, picture names and all descriptions are not
-  localized.</li>
+  <li><strong>Jezik</strong>: zahvaća samo sučelje Piwigo galerije. Nazivi skupina, slika i svi opisi nisu obuhvaćeno prijevodom.</li>
 
-  <li><strong>Number of images per row</strong></li>
+  <li><strong>Broj slika po redu</strong></li>
 
-  <li><strong>Number of rows per page</strong></li>
+  <li><strong>Broj redova po stranici</strong></li>
 
-  <li><strong>Interface theme</strong></li>
+  <li><strong>Tema sučelja</strong></li>
 
-  <li><strong>Recent period</strong>: By days. Period within a picture is
-  shown as new. Must be superior to 1 day.</li>
+  <li><strong>Nedavno razdoblje</strong>: Po danima. Razdoblje u kojem se prikazana slika smatra novom. Mora biti veće od 1 dan.</li>
 
-  <li><strong>Expand all categories</strong>: Expand all categories by
-  default in the menu? <em>Warning</em>: this option is resources consuming
-  and may generate a huge menu if your category tree is contains many
-  categories.</li>
+  <li><strong>Razgranaj sve skupine</strong>: Pretpostavljeno razgranati sve skupine u 
+  izbornik? <em>Pozor</em>: ova mogućnost može opteretiti računalo poslužitelj i stvoriti ogromni izbornik ako vaše sustav sadrži mnogo skupina.</li>
 
-  <li><strong>Show number of comments</strong>: show the number of comments
-  for each picture on the thumbnails page. Resource consuming.</li>
+  <li><strong>Prikaži broj komentara</strong>: prikazuje broj komentara za svaku sliku na stranici poveznih sličica. Zahtjevno za poslužitelja.</li>
 
-  <li><strong>Show hits count</strong>: display hits observed on picture
-  just under its thumbnail on the thumbnails page. 
-  Only when advanced configuration parameter is: <br />
-  $conf['show_nb_hits'] = true; <br />
-  Notice: it is false by default.</li>
+  <li><strong>Prikaži broj posjeta</strong>: prikaži broj posjeta slici pravo ispod povezne sličice na stranici. 
+  Samo kada je napredna postavka : <br />  $conf['show_nb_hits'] = true; <br />
+  Obavijest: pretpostavljeno je false .</li>
 
-  <li><strong>Maximum width of the pictures</strong>: maximum displayed
-  width. If pictures are larger than this setting, they will be resized on
-  display. If you consider filling this option, you'd better consider
-  modifying the width of your pictures instead.</li>
+  <li><strong>Najveća širina slika</strong>: najveća dozvoljena širina. Ako je slika veča od ove postavke, biti će prilagođena pri prikazu. Ukoliko razmišljate o određivanju ove vrijednosti, možda bi bilo
+  bolje prilagoditi širinu vaših slika pri izradi umjesto ovog.</li>
 
-  <li><strong>Maximum height of the pictures</strong>: same remarks as for
-  previous setting.</li>
+  <li><strong>Najveća visina slika</strong>: iste primjedbe kao ikod prethodne stavke.</li>
 
 </ul>