Index: extensions/netinstall/trunk/language/zh_CN/iso.txt
===================================================================
--- extensions/netinstall/trunk/language/zh_CN/iso.txt	(revision 3422)
+++ extensions/netinstall/trunk/language/zh_CN/iso.txt	(revision 3422)
@@ -0,0 +1,1 @@
+简体中文 [CN]
Index: extensions/netinstall/trunk/language/zh_CN/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 3422)
+++ extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 3422)
@@ -0,0 +1,60 @@
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Piwigo NetInstall'] = 'Piwigo 网络安装程序';
+$lang['Welcome to NetInstall!'] = '欢迎使用网络安装程序!';
+$lang['Language'] = '语言';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = '这个工具可获取 Piwigo 的最新版本程序包并且解压到你的网站空间里。';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = '之后, 你将会进入 Piwigo 的设置向导。';
+$lang['Write access is needed'] = '需要写的权限';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = '看来网络安装程序无法对当前文件夹进行写操作，这在后继操作中是必需的。';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = '请尝试更改允许读写权限，然后点击刷新按钮重新加载本页面。';
+$lang['Refresh'] = '刷新';
+
+$lang['PHP 5 is required'] = '需要 PHP 5 ';
+$lang['It appears your webhost is currently running PHP %s.'] = '你的服务器当前运行的是 PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = '网络安装程序也许试图通过创建或者修改 .htaccess 文件以改变你的 PHP 5 的配置。';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = '请注意，你重新启动网络安装程序后，可以自己改变你的配置。';
+$lang['Try to configure PHP 5'] = '尝试配置 PHP 5';
+
+$lang['Retrieve and unzip Piwigo'] = '获取和解压 Piwigo';
+$lang['Destination:'] = '目的地:';
+
+$lang['Sorry!'] = '对不起!';
+$lang['NetInstall was not able to configure PHP 5.'] = '网络安装程序不能配置 PHP 5。';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "也许你需要与你的服务器提供商联系，让他告诉你如何才能切换到 PHP 5。";
+$lang['Hope to see you back soon.'] = '希望很快可以再看到您。';
+
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = '看来之前的 Piwigo 安装程序仍然存在与此空间上。';
+$lang['You need to rename or remove it before we can go further...'] = '你需要将其改名或者移除以便我们能进行更进一步的操作...';
+$lang['Needed files are not present.'] = '并没有需要的文件。';
+$lang['Invalid zip file.'] = '无效的 zip 文件。';
+$lang['It seems that the zip file was not extracted.'] = '看来 zip 文件并没有被解压。';
+
+$lang['Congratulations!'] = '恭喜！';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = '万事具备，你现在可以准备开始安装程序了。';
+$lang['Install Piwigo now'] = '现在开始安装 Piwigo ';
+$lang['An error occurred while grabbing the necessary files to go on.'] = '在获取必须的文件时发生了错误。';
+$lang['Something went wrong...'] = '出错了...';
+$lang['What are you doing here that way ?!'] = '你这样的做法，想干什么 ?!';
+
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = '这种安装方式的最初原码是在 <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>。 感谢!';